﻿package src
{
	import flash.net.URLLoader;
	import flash.net.URLRequest;
	import flash.events.Event;

	public class CarregaXML
	{
		public var vetCaminho:Array;
		public var vetHotSpot:Array;
		public var vetThumb:Array;
		public var vetFotoCorte:Array;
		public var vetQuantidadeFotoCorte:Array;
		public var vetNumeroDeHotSpotsPorImagem:Array;
		public var vetTxtResumo:Array;
		public var vetTxtTitulo:Array;
		public var vetTxtResumoHS:Array;
		public var vetTxtTituloHS:Array;
		public var vetZoomLente:Array;
		public var vetAjuda:Array;
		public var vetAutor:Array;
		public var vetTextoInicial:Array;
		public var vetResumoFC:Array;
		public var vetResumoFotoCorte:Array;
		public var vetAutorAutor:Array;
		public var vetAutorImagem:Array;

		public function CarregaXML ():void
		{
		}
		public function caminhoSWF (caminho:String)
		{
			//============================  XML  =====================
			//Cria o Loader e coloca um listener pra quando ele estiver pronto.
			var loader:URLLoader = new URLLoader();
			//loader.dataFormat = URLLoaderDataFormat.TEXT;
			loader.addEventListener (Event.COMPLETE, onLoadXML);
			loader.load (new URLRequest(caminho));
			vetCaminho = new Array();
			vetCaminho = [];

			function onLoadXML (evt:Event)
			{
				//Coloca os valores do XML no XMLList
				var myXML:XML = new XML(evt.target.data);
				var list:XMLList = new XMLList(myXML);

				//Coloca os valores da Lista no vetor apropriado.
				for (var i=0; i<list[0].imagem.length(); i++)
				{
					vetCaminho.push (list[0].imagem[i].caminho);
				}
			}
		}
		public function caminhoImagem (caminho:String)
		{
			//============================  XML  =====================
			//Cria o Loader e coloca um listener pra quando ele estiver pronto.
			var loader:URLLoader = new URLLoader();
			loader.addEventListener (Event.COMPLETE, onLoadXML);
			loader.load (new URLRequest(caminho));
			vetCaminho = new Array();
			vetHotSpot = new Array();
			vetThumb = new Array();
			vetNumeroDeHotSpotsPorImagem = new Array();
			vetTxtResumo = new Array();
			vetTxtTitulo = new Array();
			vetTxtResumoHS = new Array();
			vetTxtTituloHS = new Array();
			vetZoomLente = new Array();
			vetAutor = new Array();
			vetFotoCorte = new Array();
			vetQuantidadeFotoCorte = new Array();
			vetResumoFC = new Array();
			vetResumoFotoCorte = new Array();

			function onLoadXML (evt:Event)
			{
				//Coloca os valores do XML no XMLList
				var myXML:XML = new XML(evt.target.data);
				var list:XMLList = new XMLList(myXML);

				//Coloca os valores da Lista no vetor apropriado.
				for (var i=0; i<list[0].imagem.length(); i++)
				{
					vetQuantidadeFotoCorte = [];
					vetResumoFC = [];
					vetCaminho.push (list[0].imagem[i].caminho);
					vetThumb.push (list[0].imagem[i].thumbnail);
					//vetFotoCorte.push (list[0].imagem[i].fotocorte);
					vetNumeroDeHotSpotsPorImagem.push (list[0].imagem[i].hotspot.pontoX.length());
					vetTxtResumo.push (acertaTags(list[0].imagem[i].resumo));
					vetTxtTitulo.push (acertaTags(list[0].imagem[i].titulo));
					vetZoomLente.push (list[0].imagem[i].zoomLente);
					vetAutor.push (acertaTags(list[0].imagem[i].autor));

					for (var j=0; j<list[0].imagem[i].hotspot.pontoX.length(); j++)
					{
						vetHotSpot.push (list[0].imagem[i].hotspot.pontoX[j]);
						vetHotSpot.push (list[0].imagem[i].hotspot.pontoY[j]);
						vetTxtResumoHS.push (acertaTags(list[0].imagem[i].textoHotSpot.resumoHS[j]));
						vetTxtTituloHS.push (acertaTags(list[0].imagem[i].tituloHS.estrutura[j]));
					}
					for (j=0; j<list[0].imagem[i].fotocorte.img.length(); j++)
					{
						vetQuantidadeFotoCorte.push (list[0].imagem[i].fotocorte.img[j]);
						vetResumoFC.push (acertaTags(list[0].imagem[i].fotocorte.resumoFC[j]));
					}
					//trace (list[0].imagem[i].fotocorte.img.length());
					//trace ("vetQuantidadeFotoCorte = "+vetQuantidadeFotoCorte);
					vetFotoCorte.push (vetQuantidadeFotoCorte);
					vetResumoFotoCorte.push (vetResumoFC);
				}
			}
		}
		public function caminhoImagemX (caminho:String)
		{
			//============================  XML  =====================
			//Cria o Loader e coloca um listener pra quando ele estiver pronto.
			var loader:URLLoader = new URLLoader();
			loader.addEventListener (Event.COMPLETE, onLoadXML);
			loader.load (new URLRequest(caminho));
			vetCaminho = new Array();
			vetHotSpot = new Array();
			vetNumeroDeHotSpotsPorImagem = new Array();
			vetTxtResumoHS = new Array();
			vetTxtTituloHS = new Array();
			vetZoomLente = new Array();
			vetAutor = new Array();

			function onLoadXML (evt:Event)
			{
				//Coloca os valores do XML no XMLList
				var myXML:XML = new XML(evt.target.data);
				var list:XMLList = new XMLList(myXML);

				//Coloca os valores da Lista no vetor apropriado.
				for (var i=0; i<list[0].imagem.length(); i++)
				{
					vetCaminho.push (list[0].imagem[i].caminho);
					vetNumeroDeHotSpotsPorImagem.push (list[0].imagem[i].hotspot.pontoX.length());
					vetZoomLente.push (list[0].imagem[i].zoomLente);
					vetAutor.push (acertaTags(list[0].imagem[i].autor));

					for (var j=0; j<list[0].imagem[i].hotspot.pontoX.length(); j++)
					{
						vetHotSpot.push (list[0].imagem[i].hotspot.pontoX[j]);
						vetHotSpot.push (list[0].imagem[i].hotspot.pontoY[j]);
						vetTxtResumoHS.push (acertaTags(list[0].imagem[i].textoHotSpot.resumoHS[j]));
						vetTxtTituloHS.push (acertaTags(list[0].imagem[i].tituloHS.estrutura[j]));
					}
				}
			}
		}
		public function textoAjuda (caminho:String)
		{
			//============================  XML  =====================
			//Cria o Loader e coloca um listener pra quando ele estiver pronto.
			var loader:URLLoader = new URLLoader();
			//loader.dataFormat = URLLoaderDataFormat.TEXT;
			loader.addEventListener (Event.COMPLETE, onLoadXML);
			loader.load (new URLRequest(caminho));
			vetAjuda = new Array();
			vetAjuda = [];

			function onLoadXML (evt:Event)
			{
				//Coloca os valores do XML no XMLList
				var myXML:XML = new XML(evt.target.data);
				var list:XMLList = new XMLList(myXML);

				//Coloca os valores da Lista no vetor apropriado.
				for (var i=0; i<list[0].ajuda.length(); i++)
				{
					vetAjuda.push (acertaTags(list[0].ajuda[i].texto));
				}
			}
		}
		public function textoInicial (caminho:String)
		{
			//============================  XML  =====================
			//Cria o Loader e coloca um listener pra quando ele estiver pronto.
			var loader:URLLoader = new URLLoader();
			//loader.dataFormat = URLLoaderDataFormat.TEXT;
			loader.addEventListener (Event.COMPLETE, onLoadXML);
			loader.load (new URLRequest(caminho));
			vetTextoInicial = new Array();
			vetAutorAutor = new Array();
			vetAutorImagem = new Array();
			vetTextoInicial = [];

			function onLoadXML (evt:Event)
			{
				//Coloca os valores do XML no XMLList
				var myXML:XML = new XML(evt.target.data);
				var list:XMLList = new XMLList(myXML);

				//Coloca os valores da Lista no vetor apropriado.
				for (var i=0; i<list[0].inicio.length(); i++)
				{
					vetTextoInicial.push (acertaTags(list[0].inicio[i].texto));
				}
				for (i=0; i<list[0].autoria.autor.length(); i++)
				{
					vetAutorAutor.push (acertaTags(list[0].autoria[0].autor[i]));
				}
				for (i=0; i<list[0].autoria.imagens.length(); i++)
				{
					vetAutorImagem.push (acertaTags(list[0].autoria[0].imagens[i]));
				}
			}
		}
		function acertaTags (str:String):String
		{
			var pattern:RegExp = /\[/gi;
			str = str.replace(pattern, "<");

			var pattern2:RegExp = /\]/gi;
			str = str.replace(pattern2, ">");

			return str;
			//txt.htmlText = str;
		}
	}
}