﻿package src
{
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.MouseEvent;
	import flash.events.Event;
	import flash.events.KeyboardEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	import flash.ui.ContextMenu;
	import fl.transitions.Tween;
	import fl.transitions.easing.*;
	import flash.accessibility.AccessibilityProperties;
	import flash.net.navigateToURL;
	import flash.net.URLRequest;
	import flash.system.System;
	import flash.system.Capabilities;
	//import flash.system.fscommand;
	import src.*;

	public class Principal extends MovieClip
	{
		public var xmlSWF:CarregaXML;
		public var xmlImagens:CarregaXML;
		public var xmlImagens2x:CarregaXML;
		public var xmlImagens3x:CarregaXML;
		public var xmlAjuda:CarregaXML;
		public var xmlTxtInicio:CarregaXML;
		private var imagem:CarregaImagem;
		public var larguraFilme:Number;
		public var alturaFilme:Number;
		public var numeroLamina:Number;
		private var barra:barraLoad;
		private var botDirecionalClicado:String = "";
		private var velocidade:Number = 2;
		public var quadroAtual:Number;

		public var varGlobal:String;
		
		public var nCaixa:Number = 0;

		public function Principal ( )
		{
			larguraFilme = 250;
			alturaFilme = 200;

			barra = new barraLoad();
			barra.name = "barra";
			
			//fscommand("allowscale", "true");
			
			var caminhoXML:String;
			if (String(this.loaderInfo.parameters.caminho) != "undefined") {
				caminhoXML = String(this.loaderInfo.parameters.caminho);
			}
			else {
				caminhoXML = "XML/";
			}

			//Carrega o XML objeto publico xmlSWF (vetCaminho) .
			//Nele estão os endereços dos arquivos swf que serão carregados.
			xmlSWF = new CarregaXML();
			//xmlSWF.caminhoSWF ("XML/swf.xml");
			xmlSWF.caminhoSWF (caminhoXML + "swf.xml");

			//Carrega o XML no objeto publico xmlImagens (vetCaminho, vetHotSpot, vetThumb, 
			//vetNumeroDeHotSpotsPorImagem, vetTxtResumo, vetTxtTitulo, vetTxtResumoHS)
			//Nele estão as informações para montar as imagens e textos no ordem certa.
			xmlImagens = new CarregaXML();
			//xmlImagens.caminhoImagem ("XML/img1x.xml");
			xmlImagens.caminhoImagem (caminhoXML + "img1x.xml");

			xmlImagens2x = new CarregaXML();
			//xmlImagens2x.caminhoImagemX ("XML/img2x.xml");
			xmlImagens2x.caminhoImagemX (caminhoXML + "img2x.xml");

			xmlImagens3x = new CarregaXML();
			//xmlImagens3x.caminhoImagemX ("XML/img3x.xml");
			xmlImagens3x.caminhoImagemX (caminhoXML + "img3x.xml");

			xmlAjuda = new CarregaXML();
			//xmlAjuda.textoAjuda ("XML/ajuda.xml");
			xmlAjuda.textoAjuda (caminhoXML + "ajuda.xml");
			
			xmlTxtInicio = new CarregaXML();
			//xmlTxtInicio.textoInicial ("XML/textoInicial.xml");
			xmlTxtInicio.textoInicial (caminhoXML + "textoInicial.xml");

			//Carrega o primeiro filme dentro do filme principal
			imagem = new CarregaImagem("SWF/abertura.swf", barra, larguraFilme,alturaFilme);
			imagem.name = "imagem";
			addChild (imagem);

			//Some com as opções do botão direito do mouse
			var myContextMenu:ContextMenu;
			myContextMenu = new ContextMenu();
			myContextMenu.hideBuiltInItems ();
			contextMenu = myContextMenu;
/*
//Some janela Ajuda
ajuda_mc.visible = false;
//Some janela Creditos
creditos_mc.visible = false;
*/
			//Navegação pelo teclado
			stage.addEventListener (KeyboardEvent.KEY_UP, keyUpHandler);

			stage.addEventListener (KeyboardEvent.KEY_DOWN, keyDownHandler);

		}
		//Métodos publicos do objeto Principal

		public function keyDownHandler (evt:KeyboardEvent):void
		{
			if (Object(imagem.pictLdr.content).numeroQuadro == 3)
			{
				var direcaoTeclado:Boolean;
				direcaoTeclado = false;
				switch (evt.keyCode)
				{
					case 87 :
						botDirecionalClicado = "w";
						direcaoTeclado = true;
						break;
					case 83 :
						botDirecionalClicado = "s";
						direcaoTeclado = true;
						break;
					case 68 :
						botDirecionalClicado = "d";
						direcaoTeclado = true;
						break;
					case 65 :
						botDirecionalClicado = "a";
						direcaoTeclado = true;
						break;
					case 84 :
						botDirecionalClicado = "t";
						direcaoTeclado = true;
						break;
					case 71 :
						botDirecionalClicado = "g";
						direcaoTeclado = true;
						break;
					case 72 :
						botDirecionalClicado = "h";
						direcaoTeclado = true;
						break;
					case 70 :
						botDirecionalClicado = "f";
						direcaoTeclado = true;
						break;
				}
				if (direcaoTeclado == true)
				{
					Object(imagem.pictLdr.content).getChildByName("imagem").addEventListener (Event.ENTER_FRAME, movimenta);
				}
			}
		}
		function movimenta (evt:Event)
		{
			//dependendo do botao clicado o objeto imagem toma uma direção.
			trace ("ef");
			switch (botDirecionalClicado)
			{
				case "t" :
					//cima
					Object(imagem.pictLdr.content).getChildByName("imagem").y += velocidade;
					break;
				case "g" :
					//baixo
					Object(imagem.pictLdr.content).getChildByName("imagem").y -= velocidade;
					break;
				case "f" :
					//esq
					Object(imagem.pictLdr.content).getChildByName("imagem").x += velocidade;
					break;
				case "h" :
					//dir
					Object(imagem.pictLdr.content).getChildByName("imagem").x -= velocidade;
					break;
				case "w" :
					//cima 2x
					Object(imagem.pictLdr.content).getChildByName("imagem").y += velocidade*4;
					break;
				case "s" :
					//baixo 2x
					Object(imagem.pictLdr.content).getChildByName("imagem").y -= velocidade*4;
					break;
				case "a" :
					//esq 2x
					Object(imagem.pictLdr.content).getChildByName("imagem").x += velocidade*4;
					break;
				case "d" :
					//dir 2x
					Object(imagem.pictLdr.content).getChildByName("imagem").x -= velocidade*4;
					break;

			}
		}
		public function keyUpHandler (evt:KeyboardEvent):void
		{
			//trace("keyUpHandler: " + evt.keyCode);
			var quadroAtual:Number;
			quadroAtual = Object(imagem.pictLdr.content).numeroQuadro;
/*
//Navega para frente e para traz com as setas do teclado.
switch (evt.keyCode)
{
case 37 :
trace ("Esquerda");
for (var i=0; i<imagem.pictLdr.numChildren; i++)
{
trace (i+" - ", Object(imagem.pictLdr.content).numeroQuadro);
}
if (quadroAtual>1)
{
aparece (quadroAtual-1);
}
break;
case 39 :
trace ("Direita");
if (quadroAtual<2)
{
aparece (quadroAtual+1);
}
break;

}
*/
			//Se for o quadro 3 para o loop de mover a imagem.
			if (Object(imagem.pictLdr.content).numeroQuadro == 3)
			{
				switch (evt.keyCode)
				{
					case 87 :
					case 83 :
					case 68 :
					case 65 :

					case 84 :
					case 71 :
					case 72 :
					case 70 :
						botDirecionalClicado = "";
						Object(imagem.pictLdr.content).getChildByName("imagem").removeEventListener (Event.ENTER_FRAME, movimenta);
						break;
				}
			}
		}
		public function aparece (numero:Number)
		{
			//Descarrega o swf atual e carrega o novo dependendo do numero passado.
			removeObjetoPeloNome ("imagem");
			imagem = new CarregaImagem(xmlSWF.vetCaminho[numero-1], barra, larguraFilme,alturaFilme);
			imagem.name = "imagem";
			addChild (imagem);
		}
		function sair ()
		{
			if (Capabilities.playerType == "StandAlone")
			{
				System.exit (0);
				//fscommand("quit", "true");
			}
			else
			{
				var url:String = "about:blank";
				var teste:URLRequest = new URLRequest(url);
				try
				{
					navigateToURL (teste, "_self");
				}
				catch (e:Error)
				{
					// handle error here
				}
			}
		}
		public function removeObjetoPeloNome (nome:String)
		{
			//verifica se objeto existe e se sim, o remove.
			if (getChildByName(nome) != null)
			{
				removeChild (getChildByName(nome));
			}
		}
		public function acertaTags (txtPassado:String):String
		{
			var myString:String = txtPassado;
			
			var pattern:RegExp = /\[/gi;
			myString = myString.replace(pattern, "<");

			var pattern2:RegExp = /\]/gi;
			myString = myString.replace(pattern2, ">");
			
			
			var supStartExpression:RegExp = new RegExp("<sup>", "g");
			var supEndExpression:RegExp = new RegExp("</sup>", "g");
			var subStartExpression:RegExp = new RegExp("<sub>", "g");
			var subEndExpression:RegExp = new RegExp("</sub>", "g");

			myString = myString.replace(supStartExpression, '<font face=\"GG Superscript\">');
			myString = myString.replace(supEndExpression, "</font>");
			myString = myString.replace(subStartExpression, '<font face=\"GG Subscript\">');
			//myString = myString.replace(subStartExpression, '<font size=10>');
			myString = myString.replace(subEndExpression, "</font>");

			return (myString);
		}
		public function mostraJanela (nome:String)
		{
			this[nome+"_mc"].x = 350;
			this[nome+"_mc"].y = 200;
			setChildIndex (this[nome+"_mc"], numChildren-1);
			this[nome+"_mc"].visible = true;
			anima (this[nome+"_mc"], "alpha", Strong.easeOut, 0, 1, 0.3, true);
			anima (this[nome+"_mc"], "scaleY", Strong.easeOut, 0.5, 1, 0.3, true);
			anima (this[nome+"_mc"], "scaleX", Strong.easeOut, 0.5, 1, 0.3, true);
		}
		function anima (alvo:Object, propriedade:String, equação:Function, posInicial:Number, posFinal:Number, tempo:Number, segs:Boolean)
		{
			var tw:Object = new Tween(alvo, propriedade, equação, posInicial, posFinal, tempo, segs);

			//tw.onMotionFinished = function() {
			//this.yoyo();
			//};
		}
	}
}