﻿package src
{
	import flash.display.MovieClip;
	import flash.events.MouseEvent;
	import flash.events.Event;
	import flash.events.FocusEvent;
	import flash.display.SimpleButton;
	import fl.transitions.Tween;
	import fl.transitions.easing.*;
	import fl.transitions.TweenEvent;
	import flash.text.TextField;
	import flash.accessibility.AccessibilityProperties;
	import flash.accessibility.Accessibility;
	import flash.ui.Mouse;
	import flash.geom.Rectangle;
	import flash.text.TextFormat;
	import src.*;

	public class Quadro_3 extends MovieClip
	{
		private var imagem:CarregaImagem;
		private var objetoPrincipal:Object;
		private var botDirecionalClicado:String = "";
		private var velocidade:Number = 2;
		private var botHS:botHotSpot;
		private var bot_Inv_HS:botInvisivelHS;
		private var menu_1:menuLaminas;
		private var botMenuLaminas_obj:botMenuLaminas;
		private var txtBotMenuLaminas:TextField;
		private var vetorAtual:CarregaXML;
		private var zoomOpticoAtual:Number;
		private var i:Number;
		private var barra:barraLoad;
		public var numeroQuadro:Number = 3;
		public var accessProps:AccessibilityProperties;
		private var limiteFor:Number;
		private var menuY:Number = 0;

		private var controleHS:Number = 0;
		private var inicioFor:Number;
		private var fimFor:Number;
		private var nTotalHS:Number;

		private var xInicialLamininha:Number;
		private var yInicialLamininha:Number;

		private var imagemMapinha:CarregaImagem;
		private var barra2:barraLoad;

		private var fontInicialSize:Number = 13;
		private var newFormat:TextFormat = new TextFormat();
		
		private var seguraTxtTitulo:Boolean = false;
		private var guardaTxtTituloClicado:String = "";

		public function Quadro_3 ():void
		{
			this.addEventListener (Event.ENTER_FRAME, inicio);
			function inicio (evt:Event)
			{
				//garante que os objetos globais de Principal (como o vetor de caminha de imagem) estejam carregados, depois monta o swf.
				if (Object(parent.parent.parent).xmlImagens.vetCaminho.length != null)
				{
					//remove o ENTER_FRAME
					removeEventListener (Event.ENTER_FRAME, inicio);

					//cria variável para não ter que escrever toda hora Object(parent.parent.parent)
					objetoPrincipal =  parent.parent.parent;

					barra = new barraLoad();
					barra.name = "barra";

					constroi (objetoPrincipal.xmlImagens, objetoPrincipal.numeroLamina);

					//--------------------------------------
					//Cria menu de lâminas
					menu_1 = new menuLaminas();
					menu_1.name = "menu_1";

					//Multiplica dentro de menu_1 (Menu de Lâminas) os botoes de links 
					//dependendo de quantas laminas tem o programa (max=22)
					if (objetoPrincipal.xmlImagens.vetCaminho.length - objetoPrincipal.nCaixa > 22)
					{
						limiteFor = objetoPrincipal.nCaixa + 22;
					}
					else
					{
						limiteFor = objetoPrincipal.xmlImagens.vetCaminho.length;
					}
					for (var i=objetoPrincipal.nCaixa; i<limiteFor; i++)
					{
						botMenuLaminas_obj = new botMenuLaminas();
						botMenuLaminas_obj.name = "botMenuLaminas_obj_"+i;
						botMenuLaminas_obj.y = menuY*botMenuLaminas_obj.height;
						menuY++;
						botMenuLaminas_obj.bot_invisivel.buttonMode = true;
						botMenuLaminas_obj.txtBotMenuLaminas.htmlText = objetoPrincipal.xmlImagens.vetTxtTitulo[i];
						botMenuLaminas_obj.addEventListener (MouseEvent.CLICK, fcMenuLaminas);
						botMenuLaminas_obj.addEventListener (MouseEvent.MOUSE_OVER, fcMenuLaminasOVER);
						botMenuLaminas_obj.addEventListener (MouseEvent.MOUSE_OUT, fcMenuLaminasOUT);
						menu_1.addChildAt (botMenuLaminas_obj, 0);

					}
				}
			}
			//-----------------------Listeners dos botões de movimento ----------------
			botControle_Cima.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle_Baixo.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle_Esq.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle_Dir.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle_Cima.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			botControle_Baixo.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			botControle_Esq.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			botControle_Dir.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);

			botControle2x_Cima.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle2x_Baixo.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle2x_Esq.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle2x_Dir.addEventListener (MouseEvent.MOUSE_DOWN, botControles);
			botControle2x_Cima.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			botControle2x_Baixo.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			botControle2x_Esq.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			botControle2x_Dir.addEventListener (MouseEvent.MOUSE_UP, paraDeMover);
			//-------------------------------------------------------------------------

			hs_1.addEventListener (MouseEvent.CLICK, voltaHS);
			hs_2.addEventListener (MouseEvent.CLICK, vaiHS);

			xInicialLamininha = lamininha.x;
			yInicialLamininha = lamininha.y;
			lamininha.buttonMode = true;

			fontSizeMais_btn.addEventListener (MouseEvent.CLICK, fontSizeFunction);
			fontSizeMenos_btn.addEventListener (MouseEvent.CLICK, fontSizeFunctionMenos);

			lamininha.addEventListener (MouseEvent.MOUSE_DOWN, dragLamininha);
			lamininha.addEventListener (MouseEvent.MOUSE_UP, largaLamininha);
			lamininha.addEventListener (MouseEvent.ROLL_OUT, largaLamininha);


			//Coloca o listener no botão que volta para tela 2
			botSeta_Esq.addEventListener (MouseEvent.CLICK, volta);

			//Listeners dos botões de zoom digital.
			botZoom_Mais.addEventListener (MouseEvent.CLICK, zoom);
			botZoom_Menos.addEventListener (MouseEvent.CLICK, zoom);

			botZoomOptico_Mais.addEventListener (MouseEvent.CLICK, zoomOptico);
			botZoomOptico_Menos.addEventListener (MouseEvent.CLICK, zoomOptico);
			zoomOpticoAtual = 1;

			//Listener do botão lâminas do menu
			botMenu_1.addEventListener (MouseEvent.CLICK, mostraMenu);
			//Listener para sumir com qualquer menu se clicar fora dele e ele estiver aparencendo
			addEventListener (MouseEvent.MOUSE_UP, someMenu);

			// Coloca a função para mostrar a janela de ajuda no botão do menu Ajuda
			ajuda.addEventListener (MouseEvent.CLICK, abreJanela);
			// Coloca a função para mostrar a janela de ajuda no botão do menu Creditos
			//creditos.addEventListener (MouseEvent.CLICK, abreJanela);
			//Botão Mirinha
			bot_mira.addEventListener (MouseEvent.CLICK, mostraMira);
			bot_mira_cor_1.addEventListener (MouseEvent.CLICK, corMira);
			bot_mira_cor_2.addEventListener (MouseEvent.CLICK, corMira);
			bot_mira_cor_3.addEventListener (MouseEvent.CLICK, corMira);
			
			sair_btn.addEventListener(MouseEvent.CLICK, sairFunction);
		}
		function dragLamininha (evt:MouseEvent)
		{
			txtResumo.htmlText = "";
			txtTitulo.htmlText = "";
			seguraTxtTitulo = false;
			
			var lockCenter:Boolean = false;
			var bounds:Rectangle = new Rectangle(mapinha.x, mapinha.y, mapinha.width, mapinha.height);
			//imagem.startDrag (lockCenter, bounds);
			//evt.target.startDrag();
			evt.target.startDrag (lockCenter, bounds);
			lamininha.addEventListener (Event.ENTER_FRAME, acertaImagem);
		}
		function acertaImagem (evt:Event)
		{
			imagem.x = -(lamininha.x - xInicialLamininha)*6.75;
			imagem.y = -(lamininha.y - yInicialLamininha)*6.75;

			marcaX.htmlText = String(int(imagem.x));
			marcaY.htmlText = String(int(imagem.y));
		}
		function largaLamininha (evt:MouseEvent)
		{
			lamininha.removeEventListener (Event.ENTER_FRAME, acertaImagem);
			lamininha.stopDrag ();
		}
		function abreJanela (evt:MouseEvent)
		{
			var nome:String;
			nome = evt.target.name;
			//Object(parent.parent.parent).mostraJanela (nome);
			objetoPrincipal.quadroAtual = numeroQuadro;
			if (nome == "creditos")
			{
				objetoPrincipal.aparece (4);
			}
			else
			{
				objetoPrincipal.aparece (5);
			}
		}
		function mostraMira (evt:MouseEvent)
		{
			if (visor.mira.visible == true)
			{
				visor.mira.visible = false;
			}
			else
			{
				visor.mira.visible = true;
			}
		}
		function corMira (evt:MouseEvent)
		{
			var nome:Number;
			nome = evt.target.name.slice(13);
			visor.mira.gotoAndStop (nome);
		}
		function getHotSpotX (vetor:CarregaXML, numero:Number):Number
		{
			//========================================== Acha Hot Spot =====================================================
			//mostra coordenadas do ponto x : valor de (x*2)-1 = Y do ponto & valor de (x*2)-2 = X do ponto
			//para saber o valor de x soma o vettor vetNumeroDeHotSpotsPorImagem do 0 até o numero x da imagem observada
			//ex: clica no hotspot 3 da imagem 5 = soma vetNumeroDeHotSpotsPorImagem do 0 até o 3 + 3 
			//(0 até 3 é a soma dos hotSpots das 4 primeiras imagems e 3 é o número escolhido na imagem 5)
			var NumeroHSEscolhido:Number = numero;
			var NumeroImagem:Number = objetoPrincipal.numeroLamina;
			var NumeroEscolhidoConvertido:Number = 0;

			for (i=0; i<NumeroImagem; i++)
			{
				NumeroEscolhidoConvertido += vetor.vetNumeroDeHotSpotsPorImagem[i];
			}
			NumeroEscolhidoConvertido += NumeroHSEscolhido;
			//trace(NumeroEscolhidoConvertido);
			trace ("X = "+vetor.vetHotSpot[(NumeroEscolhidoConvertido*2)]);
			return vetor.vetHotSpot[NumeroEscolhidoConvertido * 2];
			//==============================================================================================================
		}
		function getHotSpotY (vetor:CarregaXML, numero:Number):Number
		{
			//========================================== Acha Hot Spot =====================================================
			//mostra coordenadas do ponto x : valor de (x*2)-1 = Y do ponto & valor de (x*2)-2 = X do ponto
			//para saber o valor de x soma o vettor vetNumeroDeHotSpotsPorImagem do 0 até o numero x da imagem observada
			//ex: clica no hotspot 3 da imagem 5 = soma vetNumeroDeHotSpotsPorImagem do 0 até o 3 + 3 
			//(0 até 3 é a soma dos hotSpots das 4 primeiras imagems e 3 é o número escolhido na imagem 5)
			var NumeroHSEscolhido:Number = numero;
			var NumeroImagem:Number = objetoPrincipal.numeroLamina;
			var NumeroEscolhidoConvertido:Number = 0;

			for (i=0; i<NumeroImagem; i++)
			{
				NumeroEscolhidoConvertido += vetor.vetNumeroDeHotSpotsPorImagem[i];
			}
			NumeroEscolhidoConvertido += NumeroHSEscolhido;

			trace ("Y = "+vetor.vetHotSpot[(NumeroEscolhidoConvertido*2)+1]);
			return vetor.vetHotSpot[NumeroEscolhidoConvertido * 2 + 1];
			//==============================================================================================================
		}
		function getTextoResumoHS (vetor:CarregaXML, numero:Number):String
		{
			//Mostra o texto de resumo para cada HS que vem do XML img.xml
			var NumeroHSEscolhido:Number = numero;
			var NumeroImagem:Number = objetoPrincipal.numeroLamina;
			var NumeroEscolhidoConvertido:Number = 0;

			for (i=0; i<NumeroImagem; i++)
			{
				NumeroEscolhidoConvertido += vetor.vetNumeroDeHotSpotsPorImagem[i];
			}
			NumeroEscolhidoConvertido += NumeroHSEscolhido;

			//trace ("txt = "+vetor.vetTxtResumoHS[NumeroEscolhidoConvertido]);
			return vetor.vetTxtResumoHS[NumeroEscolhidoConvertido];
			//==============================================================================================================
		}
		function getTextoTituloHS (vetor:CarregaXML, numero:Number):String
		{
			//Mostra o texto de resumo para cada HS que vem do XML img.xml
			var NumeroHSEscolhido:Number = numero;
			var NumeroImagem:Number = objetoPrincipal.numeroLamina;
			var NumeroEscolhidoConvertido:Number = 0;

			for (i=0; i<NumeroImagem; i++)
			{
				NumeroEscolhidoConvertido += vetor.vetNumeroDeHotSpotsPorImagem[i];
			}
			NumeroEscolhidoConvertido += NumeroHSEscolhido;

			//trace ("tit = "+vetor.vetTxtTituloHS[NumeroEscolhidoConvertido]);
			return vetor.vetTxtTituloHS[NumeroEscolhidoConvertido];
			//==============================================================================================================
		}
		function hsFunction (evt:MouseEvent)
		{
			//Pega o numero do botão clicado, calcula o x e y que deve ser colocada a imagem 
			//considerando o zoom digital, e mostra o texto do XML.
			//trace(objetoPrincipal.xmlImagens.vetHotSpot);
			var numero:Number;
			numero = evt.target.name.slice(11);

			anima (imagem, "x", Strong.easeOut, imagem.x, (visor.x - getHotSpotX(vetorAtual,numero)*(imagem.scaleX)), 2, true);
			anima (imagem, "y", Strong.easeOut, imagem.y, (visor.y - getHotSpotY(vetorAtual,numero)*(imagem.scaleY)), 2, true);

			anima (lamininha, "x", Strong.easeOut, lamininha.x, xInicialLamininha - (visor.x - getHotSpotX(vetorAtual,numero)*(imagem.scaleX))*0.15, 2, true);
			anima (lamininha, "y", Strong.easeOut, lamininha.y, yInicialLamininha - (visor.y - getHotSpotY(vetorAtual,numero)*(imagem.scaleY))*0.15, 2, true);

			
			txtResumo.htmlText = getTextoResumoHS(vetorAtual, numero);
			//txtTitulo2.htmlText = getTextoTituloHS(vetorAtual, numero);
			scrollBar.update ();
			scrollBar.scrollPosition = scrollBar.minScrollPosition;
			
			seguraTxtTitulo = true;			
			guardaTxtTituloClicado = getTextoTituloHS(vetorAtual, numero);
			
		}
		function hsOver (evt:Event)
		{
			//Accessibility.updateProperties ();
			var numero:Number;
			numero = evt.target.name.slice(11);

			evt.target.parent.gotoAndStop (2);

			txtTitulo.htmlText = getTextoTituloHS(vetorAtual, numero);
			
			//seguraTxtTitulo = false;
		}
		function hsOut (evt:Event)
		{
			evt.target.parent.gotoAndStop (1);
			
			if (seguraTxtTitulo == false)
			{
				txtTitulo.htmlText = "";
			}
			else
			{
				txtTitulo.htmlText = guardaTxtTituloClicado;
			}
		}
		function anima (alvo:MovieClip, propriedade:String, equação:Function, posInicial:Number, posFinal:Number, tempo:Number, segs:Boolean)
		{
			//função que faz o objeto tween funcionar.
			var tw:Object = new Tween(alvo, propriedade, equação, posInicial, posFinal, tempo, segs);

			//tw.addEventListener(TweenEvent.MOTION_FINISH, fimAnima);
			tw.addEventListener(TweenEvent.MOTION_CHANGE, fimAnima);
		}
		function fimAnima (evt:TweenEvent)
		{
			marcaX.htmlText = String(int(imagem.x));
			marcaY.htmlText = String(int(imagem.y));
		}
		function botControles (evt:MouseEvent)
		{

			//joga na variavel global botDirecionalClicado o nome do botao clicado,
			//depois chama a função que vai mudar a posição do objeto imagem.
			var nome:String;
			nome = evt.target.name.slice(12);
			botDirecionalClicado = nome;
			imagem.addEventListener (Event.ENTER_FRAME, movimenta);

		}
		function movimenta (evt:Event)
		{

			marcaX.htmlText = String(int(imagem.x));
			marcaY.htmlText = String(int(imagem.y));
			
			txtTitulo.htmlText = "";
			txtResumo.htmlText = "";
			seguraTxtTitulo = false;

			//dependendo do botao clicado o objeto imagem toma uma direção. -365, -391, 807, 647
			switch (botDirecionalClicado)
			{
				case "Cima" :
					if (imagem.y<250)
					{
						imagem.y += velocidade;
						lamininha.y -= velocidade*0.15;
					}
					break;
				case "Baixo" :
					if (imagem.y>-400)
					{
						imagem.y -= velocidade;
						lamininha.y += velocidade*0.15;
					}
					break;
				case "Esq" :
					if (imagem.x<440)
					{
						imagem.x += velocidade;
						lamininha.x -= velocidade*0.15;
					}
					break;
				case "Dir" :
					if (imagem.x>-370)
					{
						imagem.x -= velocidade;
						lamininha.x += velocidade*0.15;
					}
					break;
				case "x_Cima" :
					if (imagem.y<250)
					{
						imagem.y += velocidade*4;
						lamininha.y -= velocidade*4*0.15;
					}
					break;
				case "x_Baixo" :
					if (imagem.y>-400)
					{
						imagem.y -= velocidade*4;
						lamininha.y += velocidade*4*0.15;
					}
					break;
				case "x_Esq" :
					if (imagem.x<440)
					{
						imagem.x += velocidade*4;
						lamininha.x -= velocidade*4*0.15;
					}
					break;
				case "x_Dir" :
					if (imagem.x>-370)
					{
						imagem.x -= velocidade*4;
						lamininha.x += velocidade*4*0.15;
					}
					break;

			}
		}
		function paraDeMover (evt:MouseEvent)
		{
			//remove o listener ENTER_FRAME e zera o botão que foi clicado;
			botDirecionalClicado = "";
			imagem.removeEventListener (Event.ENTER_FRAME, movimenta);
		}
		function zoom (evt:MouseEvent)
		{
			//Dependendo do botão de zoom clicado a função aumenta ou diminui o objeto imagem
			var nome:String;
			nome = evt.target.name.slice(8);

			var xRelativo:Number;
			var yRelativo:Number;

			//Pega o numero relativo (porcentagem) x e y, do ponto da imagem que esta no centro da mira.
			//exemplo: o ponto do meio -> x=0.5 (50%) e y=0.5(50%)
			xRelativo = (visor.x-imagem.x)/imagem.width;
			yRelativo = (visor.y-imagem.y)/imagem.height;

			switch (nome)
			{
				case "Mais" :
					imagem.scaleX += 0.5;
					imagem.scaleY += 0.5;

					alinha (xRelativo, yRelativo);

					txtZoom.htmlText = String(imagem.scaleX*100)+" %";
					break;
				case "Menos" :
					if (imagem.scaleX>1)
					{
						imagem.scaleX -= 0.5;
						imagem.scaleY -= 0.5;

						alinha (xRelativo, yRelativo);
					}
					txtZoom.htmlText = String(imagem.scaleX*100)+" %";
					break;
			}
		}
		function alinha (nX:Number, nY:Number)
		{
			//calcula o x e o y que a imagem deve ficar para conpensar o aumento.
			imagem.x -= (imagem.width*nX)-(visor.x-imagem.x);
			imagem.y -= (imagem.height*nY)-(visor.y-imagem.y);
			//trace (mira.x-imagem.x);
		}

		function zoomOptico (evt:MouseEvent)
		{
			//Dependendo do botão de zoom clicado a função aumenta ou diminui o objeto imagem
			var nome:String;
			nome = evt.target.name.slice(14);

			switch (nome)
			{
				case "Mais" :
					if (zoomOpticoAtual == 1)
					{
						//Verifica se o proximo zoom existe
						if (objetoPrincipal.xmlImagens2x.vetCaminho[objetoPrincipal.numeroLamina] != "nulo")
						{
							//trace (objetoPrincipal.xmlImagens2x.vetCaminho[objetoPrincipal.numeroLamina], objetoPrincipal.numeroLamina);
							zoomOpticoAtual++;
							constroi (objetoPrincipal.xmlImagens2x, objetoPrincipal.numeroLamina);
							//txtZoomOptico.htmlText = "2X";
						}
					}
					else if (zoomOpticoAtual == 2)
					{
						if (objetoPrincipal.xmlImagens3x.vetCaminho[objetoPrincipal.numeroLamina] != "nulo")
						{
							zoomOpticoAtual++;
							constroi (objetoPrincipal.xmlImagens3x, objetoPrincipal.numeroLamina);
							//txtZoomOptico.htmlText = "3X";
						}
					}
					break;
				case "Menos" :
					if (zoomOpticoAtual == 2)
					{
						zoomOpticoAtual--;
						constroi (objetoPrincipal.xmlImagens, objetoPrincipal.numeroLamina);
						//txtZoomOptico.htmlText = "1X";
					}
					else if (zoomOpticoAtual == 3)
					{
						zoomOpticoAtual--;
						constroi (objetoPrincipal.xmlImagens2x, objetoPrincipal.numeroLamina);
					}//txtZoomOptico.htmlText = "2X";
					break;
			}
		}
		function mostraMenu (evt:MouseEvent)
		{
			//Quando um botao do menu é clicado esta função adiciona o item menu correspondente da biblioteca,
			// ou faz ele sumir se ele já estiver no palco.
			if (getChildByName("menu_1") == null)
			{
				menu_1.x = botMenu_1.x;
				menu_1.y = botMenu_1.y+botMenu_1.height;
				addChild (menu_1);
			}
			else
			{
				removeChild (menu_1);
			}
		}
		function someMenu (evt:MouseEvent)
		{
			//Se algum menu existir no palco essa função o remove
			if (getChildByName("menu_1") != null)
			{
				if (menu_1.hitTestPoint(mouseX, mouseY) == false && botMenu_1.hitTestPoint(mouseX, mouseY) == false)
				{
					trace ("nao enconstou");
					removeChild (menu_1);
				}
			}
			imagem.removeEventListener (Event.ENTER_FRAME, movimenta);
		}
		function fcMenuLaminas (evt:MouseEvent)
		{
			var numero:Number;
			numero = evt.target.parent.name.slice(19);
			//objetoPrincipal.aparece(2);
			//trace(numero, "oi", evt.target.parent.name);
			constroi (objetoPrincipal.xmlImagens, numero);
			removeChild (menu_1);
			zoomOpticoAtual = 1;
			//Accessibility.updateProperties ();
		}
		function fcMenuLaminasOVER (evt:MouseEvent)
		{
			evt.target.parent.gotoAndStop (2);
		}
		function fcMenuLaminasOUT (evt:MouseEvent)
		{
			evt.target.parent.gotoAndStop (1);
		}
		function constroi (vetor:CarregaXML ,numero:Number)
		{
			//var contadorLinha:Number;
			//var botHS_Y:Number;
			//var botHS_X:Number;
			//botHS_Y = posInicialHS.y;
			//contadorLinha = 0;

			//Reinicia o controle para gerar os HS
			controleHS = 0;
			
			hs_1.visible = false;
			hs_2.visible = false;

			lamininha.x = xInicialLamininha;
			lamininha.y = yInicialLamininha;

			marcaX.htmlText = "0";
			marcaY.htmlText = "0";

			vetorAtual = vetor;
			removeObjetoPeloNome ("imagem");

			for (i=0; i<this.numChildren; i++)
			{
				removeObjetoPeloNome ("botHS_"+i);
			}
			//Gera os Hot Spots
			geraHS (vetor, numero);

			//Carrega imagem grande da lâmina, com menor objetiva 
			imagem = new CarregaImagem(vetor.vetCaminho[numero],barra, visor.x-100,visor.y-2.5);
			imagem.name = "imagem";
			imagem.x = 0;
			imagem.y = 0;
			imagem.mask = maskImagem;

			dragObject.addEventListener (MouseEvent.MOUSE_DOWN, drag);
			dragObject.addEventListener (MouseEvent.MOUSE_UP, larga);

			addChildAt (imagem,0);

			barra2 = new barraLoad();
			barra2.name = "barra2";
			imagemMapinha = new CarregaImagem(vetor.vetCaminho[numero],barra2, visor.x-100,visor.y-2.5);
			imagemMapinha.name = "imgMapinha";
			imagemMapinha.scaleX = 0.15;
			imagemMapinha.scaleY = 0.15;
			mapinha.addChild (imagemMapinha);

			txtZoom.htmlText = "100 %";
			objetoPrincipal.numeroLamina = numero;
			txtZoomOptico.htmlText = vetor.vetZoomLente[numero];
			//txtAutor.htmlText = vetor.vetAutor[numero];
			//txtTitulo2.htmlText = "";
			txtResumo.htmlText = "";
			//Accessibility.updateProperties ();
		}
		function geraHS (vetor:CarregaXML ,numero:Number)
		{
			var contadorLinha:Number;
			var botHS_Y:Number;
			var botHS_X:Number;
			botHS_Y = posInicialHS.y;
			contadorLinha = 0;
			nTotalHS = vetor.vetNumeroDeHotSpotsPorImagem[numero];
			
			if (nTotalHS>23)
			{
				hs_1.visible = true;
				hs_2.visible = true;
			}

			if (vetor.vetNumeroDeHotSpotsPorImagem[numero] - controleHS > 23)
			{
				inicioFor = controleHS;
				fimFor= inicioFor+24;
			}
			else
			{
				inicioFor = controleHS;
				fimFor = vetor.vetNumeroDeHotSpotsPorImagem[numero];
			}
			//Mostra os botões de hotSpots dependendo da lâmina escolhida, e atribui seu listener
			for (var j:Number=inicioFor; j<fimFor; j++)
			{
				botHS = new botHotSpot();
				bot_Inv_HS = new botInvisivelHS();

				//Accessibility
				accessProps = new AccessibilityProperties();
				accessProps.name = getTextoResumoHS(vetorAtual, j);
				//accessProps.name = getTextoTituloHS(vetorAtual, j);
				//accessProps.description = getTextoResumoHS(vetorAtual, j);
				bot_Inv_HS.accessibilityProperties = accessProps;
				//Accessibility.updateProperties ();

				botHS.name = "botHS_"+j;
				bot_Inv_HS.name = "bot_Inv_HS_"+j;
				bot_Inv_HS.buttonMode = true;

				botHS.addChild (bot_Inv_HS);
				botHS.addEventListener (MouseEvent.CLICK, hsFunction);
				botHS.addEventListener (MouseEvent.MOUSE_OVER, hsOver);
				botHS.addEventListener (MouseEvent.MOUSE_OUT, hsOut);
				botHS.addEventListener (FocusEvent.FOCUS_IN, hsOver);
				botHS.addEventListener (FocusEvent.FOCUS_OUT, hsOut);
				//botHS.addEventListener(MouseEvent.MOUSE_OUT, hsFunction);
				if (contadorLinha == 4)
				{
					contadorLinha = 0;
					botHS_Y += botHS.height+8;
				}
				botHS.x =  posInicialHS.x + contadorLinha*botHS.width + contadorLinha*8;
				botHS.y = botHS_Y;
				botHS.labelHS.htmlText = String(j+1);
				//botHS.bot_invisivel.buttonMode = true;
				addChildAt (botHS, numChildren-1);
				contadorLinha++;
			}
		}
		public function drag (evt:MouseEvent)
		{
			txtResumo.htmlText = "";
			txtTitulo.htmlText = "";
			seguraTxtTitulo = false;
			
			var lockCenter:Boolean = false;
			var bounds:Rectangle = new Rectangle(-365, -391, 807, 647);

			var maozinha:mao = new mao();
			maozinha.name = "maozinha";

			imagem.startDrag (lockCenter, bounds);
			Mouse.hide ();

			addChild (maozinha);
			maozinha.addEventListener (Event.ENTER_FRAME, segueMouse);
			maozinha.addEventListener (MouseEvent.MOUSE_UP, larga);
		}
		public function larga (evt:MouseEvent)
		{
			getChildByName("maozinha").removeEventListener (Event.ENTER_FRAME, segueMouse);
			removeChild (getChildByName("maozinha"));
			Mouse.show ();
			imagem.stopDrag ();

		}
		public function segueMouse (evt:Event)
		{
			evt.target.x = mouseX;
			evt.target.y = mouseY;
			marcaX.htmlText = String(int(imagem.x));
			marcaY.htmlText = String(int(imagem.y));

			lamininha.x = xInicialLamininha - imagem.x*0.15;
			lamininha.y = yInicialLamininha - imagem.y*0.15;
		}
		public function removeObjetoPeloNome (nome:String)
		{
			//verifica se objeto existe e se sim, o remove.
			if (getChildByName(nome) != null)
			{
				removeChild (getChildByName(nome));
			}
		}
		function volta (evt:MouseEvent)
		{
			//Carrega o swf do quadro 2 em cima do atual.
			objetoPrincipal.aparece (2);
		}
		function voltaHS (evt:MouseEvent)
		{
			if (controleHS-24>=0)
			{
				removeHS ();

				controleHS -= 24;
				switch (zoomOpticoAtual)
				{
					case 1 :
						geraHS (objetoPrincipal.xmlImagens, objetoPrincipal.numeroLamina);
						break;
					case 2 :
						geraHS (objetoPrincipal.xmlImagens2x, objetoPrincipal.numeroLamina);
						break;
					case 3 :
						geraHS (objetoPrincipal.xmlImagens3x, objetoPrincipal.numeroLamina);
						break;
				}
			}
		}
		function vaiHS (evt:MouseEvent)
		{
			if (nTotalHS-(controleHS+24)>=0)
			{
				removeHS ();

				controleHS += 24;
				switch (zoomOpticoAtual)
				{
					case 1 :
						geraHS (objetoPrincipal.xmlImagens, objetoPrincipal.numeroLamina);
						break;
					case 2 :
						geraHS (objetoPrincipal.xmlImagens2x, objetoPrincipal.numeroLamina);
						break;
					case 3 :
						geraHS (objetoPrincipal.xmlImagens3x, objetoPrincipal.numeroLamina);
						break;
				}
			}
		}
		function removeHS ()
		{
			for (i=controleHS; i<fimFor; i++)
			{
				removeChild (getChildByName("botHS_"+i));
			}
		}
		function fontSizeFunction (evt:MouseEvent)
		{
			if (fontInicialSize<=26)
			{
				fontInicialSize += 3;
				newFormat.size = fontInicialSize;
				txtResumo.setTextFormat (newFormat);
				scrollBar.update ();
			}

		}
		function fontSizeFunctionMenos (evt:MouseEvent)
		{
			if (fontInicialSize>13)
			{
				fontInicialSize -= 3;
				newFormat.size = fontInicialSize;
				txtResumo.setTextFormat (newFormat);
				scrollBar.update ();
			}

		}
		function sairFunction (evt:MouseEvent)
		{
			Object(parent.parent.parent).sair ();
		}
	}
}